Summary:	KDE Frameworks 5 LDAP module
Name:		kldap
Version:	17.08.2
Release:	1
License:	LGPLv2.1+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5completion-devel
BuildRequires:	kf5doctools-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5mbox-devel
BuildRequires:	kf5widgetsaddons-devel
BuildRequires:	openldap-devel
BuildRequires:	sasl-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
Conflicts:	plasma5-kio-kdepimlibs < 16.08.2
Obsoletes:	plasma5-kio-kdepimlibs < 16.08.2
Obsoletes:	plasma5-kdepimlibs < 16.08.2
Conflicts:	kde5-l10n < 17.04

%description
KDE Frameworks 5 LDAP module.

%files -f %{name}.lang
%{_kde5_services}/ldap.protocol
%{_kde5_services}/ldaps.protocol
%{_kde5_sysconfdir}/xdg/kldap.categories
%{_kde5_sysconfdir}/xdg/kldap.renamecategories
%{_qt5_plugindir}/kf5/kio/ldap.so

#----------------------------------------------------------------------------

%package i18n
Summary:	KDE Frameworks 5 LDAP library translations
Group:		System/Internationalization
Conflicts:	kde5-l10n < 17.04
BuildArch:	noarch

%description i18n
KDE Frameworks 5 LDAP library translations.

%files i18n -f libkldap5.lang

#----------------------------------------------------------------------------

%define kf5ldap_major 5
%define libkf5ldap %mklibname kf5ldap %{kf5ldap_major}

%package -n %{libkf5ldap}
Summary:	KDE Frameworks 5 LDAP shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkf5ldap}
KDE Frameworks 5 LDAP shared library.

%files -n %{libkf5ldap}
%{_kde5_libdir}/libKF5Ldap.so.%{kf5ldap_major}*

#----------------------------------------------------------------------------

%define devkf5ldap %mklibname kf5ldap -d

%package -n %{devkf5ldap}
Summary:	Development files for KDE Frameworks 5 LDAP module
Group:		Development/KDE and Qt
Requires:	%{libkf5ldap} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5ldap-devel = %{version}

%description -n %{devkf5ldap}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5ldap}
%{_kde5_includedir}/KF5/KLDAP
%{_kde5_includedir}/KF5/kldap_version.h
%{_kde5_libdir}/cmake/KF5Ldap
%{_kde5_libdir}/libKF5Ldap.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5_kf5locales
%make

%install
%makeinstall_std -C build

%find_lang ldap kio_ldap %{name}.lang --with-kde --with-html
%kf5locales_fix %{name}.lang

%find_lang libkldap5 libkldap5.lang --with-kde
%kf5locales_fix libkldap5.lang

%changelog

* Tue Oct 31 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.08.2-1
- (fb0eef1) New version 17.08.2

* Tue Jul 18 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.04.3-1
- (40dc597) New version 17.04.3

* Sat Jul 01 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.04.2-2
- (8c0ce21) Add i18n subpackage

* Sat Jul 01 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.04.2-1
- (42aadb9) Merge locales from kde5-l10n
- (Andrey Bondrov: c68780b) New version 17.04.2

* Fri Mar 10 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.12.3-1
- (898bdc8) New version 16.12.3

* Tue Feb 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.12.2-1
- (3b3839d) New version 16.12.2

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.12.1-2
- (a5c66d3) MassBuild#1230: Increase release tag

* Mon Jan 30 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.12.1-1
- (02961aa) Update files
- (Andrey Bondrov: 2855ebb) New version 16.12.1

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.08.2-4
- (ea86136) MassBuild#1212: Increase release tag

* Mon Oct 31 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.08.2-3
- (4e51b73) Obsolete plasma5-kdepimlibs
- (Andrey Bondrov: 500ab62) Obsolete plasma5-kio-kdepimlibs

* Mon Oct 31 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.08.2-2
- (f3fcd69) Add Conflicts with plasma5-kio-kdepimlibs

* Sun Oct 30 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.08.2-1
- (fcdf24f) Fix typo
- (Andrey Bondrov: cb4c541) Add files to main package
- (Andrey Bondrov: e60cfc6) Build requires kf5mbox-devel
- (Andrey Bondrov: d6400db) Build requires kf5doctools-devel
- (Andrey Bondrov: 6673e9d) Build requires kf5kio-devel
- (Andrey Bondrov: 0e17a43) New version 16.08.2

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.04.3-2
- (9b3e195) MassBuild#1169: Increase release tag

* Wed Jul 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.04.3-1
- (3f69922) New version 16.04.3

* Mon Jun 20 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.04.2-1
- (76e2510) Update files (library minor is based on library major now)
- (Andrey Bondrov: 040d94b) New version 16.04.2

* Mon Mar 21 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 15.12.3-1
- (8838ba5) New version 15.12.3

* Mon Mar 21 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 15.12.2-1
- (58588cc) New version 15.12.3
- (Andrey Bondrov: 6db909a) New version 15.12.2

* Wed Jan 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 15.12.1-1
- (7e053ec) New version 15.12.1

* Sat Jan 02 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 15.12.0-1
- (8d5125b) New version 15.12.0

* Mon Nov 23 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 15.08.3-1
- (0bc3434) New version 15.08.3


